Title: WordPress | Page 11 of 49 | Developer.WordPress.org

---

# @package: WordPress

 * method[WP_HTML_Tag_Processor::get_doctype_info()](https://developer.wordpress.org/reference/classes/wp_html_tag_processor/get_doctype_info/)
 * Gets DOCTYPE declaration info from a DOCTYPE token.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_html_tag_processor/get_doctype_info/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/classes/wp_html_tag_processor/get_doctype_info/#uses)
   | Source: [wp-includes/html-api/class-wp-html-tag-processor.php:4797](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/html-api/class-wp-html-tag-processor.php#L4797-L4803)
 * method[WP_HTML_Doctype_Info::__construct()](https://developer.wordpress.org/reference/classes/wp_html_doctype_info/__construct/)
 * Constructor.
 * Used by [1 function](https://developer.wordpress.org/reference/classes/wp_html_doctype_info/__construct/#used-by)
   | Uses [0 functions](https://developer.wordpress.org/reference/classes/wp_html_doctype_info/__construct/#uses)
   | Source: [wp-includes/html-api/class-wp-html-doctype-info.php:178](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/html-api/class-wp-html-doctype-info.php#L178-L377)
 * method[WP_HTML_Doctype_Info::from_doctype_token()](https://developer.wordpress.org/reference/classes/wp_html_doctype_info/from_doctype_token/)
 * Creates a WP_HTML_Doctype_Info instance by parsing a raw DOCTYPE declaration 
   token.
 * Used by [1 function](https://developer.wordpress.org/reference/classes/wp_html_doctype_info/from_doctype_token/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/classes/wp_html_doctype_info/from_doctype_token/#uses)
   | Source: [wp-includes/html-api/class-wp-html-doctype-info.php:414](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/html-api/class-wp-html-doctype-info.php#L414-L617)
 * method[WP_HTML_Processor::create_full_parser()](https://developer.wordpress.org/reference/classes/wp_html_processor/create_full_parser/)
 * Creates an HTML processor in the full parsing mode.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_html_processor/create_full_parser/#used-by)
   | Uses [2 functions](https://developer.wordpress.org/reference/classes/wp_html_processor/create_full_parser/#uses)
   | Source: [wp-includes/html-api/class-wp-html-processor.php:349](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/html-api/class-wp-html-processor.php#L349-L367)
 * method[WP_HTML_Tag_Processor::get_namespace()](https://developer.wordpress.org/reference/classes/wp_html_tag_processor/get_namespace/)
 * Returns the namespace of the matched token.
 * Used by [5 functions](https://developer.wordpress.org/reference/classes/wp_html_tag_processor/get_namespace/#used-by)
   | Uses [0 functions](https://developer.wordpress.org/reference/classes/wp_html_tag_processor/get_namespace/#uses)
   | Source: [wp-includes/html-api/class-wp-html-tag-processor.php:2878](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/html-api/class-wp-html-tag-processor.php#L2878-L2880)
 * method[WP_HTML_Tag_Processor::get_qualified_tag_name()](https://developer.wordpress.org/reference/classes/wp_html_tag_processor/get_qualified_tag_name/)
 * Returns the adjusted tag name for a given token, taking into account the current
   parsing context, whether HTML, SVG, or MathML.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_html_tag_processor/get_qualified_tag_name/#used-by)
   | Uses [2 functions](https://developer.wordpress.org/reference/classes/wp_html_tag_processor/get_qualified_tag_name/#uses)
   | Source: [wp-includes/html-api/class-wp-html-tag-processor.php:2927](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/html-api/class-wp-html-tag-processor.php#L2927-L3062)
 * method[WP_HTML_Tag_Processor::get_qualified_attribute_name()](https://developer.wordpress.org/reference/classes/wp_html_tag_processor/get_qualified_attribute_name/)
 * Returns the adjusted attribute name for a given attribute, taking into account
   the current parsing context, whether HTML, SVG, or MathML.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_html_tag_processor/get_qualified_attribute_name/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/classes/wp_html_tag_processor/get_qualified_attribute_name/#uses)
   | Source: [wp-includes/html-api/class-wp-html-tag-processor.php:3074](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/html-api/class-wp-html-tag-processor.php#L3074-L3302)
 * method[WP_HTML_Tag_Processor::get_full_comment_text()](https://developer.wordpress.org/reference/classes/wp_html_tag_processor/get_full_comment_text/)
 * Returns the text of a matched comment or null if not on a comment type node.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_html_tag_processor/get_full_comment_text/#used-by)
   | Uses [3 functions](https://developer.wordpress.org/reference/classes/wp_html_tag_processor/get_full_comment_text/#uses)
   | Source: [wp-includes/html-api/class-wp-html-tag-processor.php:3497](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/html-api/class-wp-html-tag-processor.php#L3497-L3529)
 * method[WP_HTML_Tag_Processor::subdivide_text_appropriately()](https://developer.wordpress.org/reference/classes/wp_html_tag_processor/subdivide_text_appropriately/)
 * Subdivides a matched text node, splitting NULL byte sequences and decoded whitespace
   as distinct nodes prefixes.
 * Used by [1 function](https://developer.wordpress.org/reference/classes/wp_html_tag_processor/subdivide_text_appropriately/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/classes/wp_html_tag_processor/subdivide_text_appropriately/#uses)
   | Source: [wp-includes/html-api/class-wp-html-tag-processor.php:3562](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/html-api/class-wp-html-tag-processor.php#L3562-L3615)
 * method[WP_HTML_Tag_Processor::set_modifiable_text()](https://developer.wordpress.org/reference/classes/wp_html_tag_processor/set_modifiable_text/)
 * Sets the modifiable text for the matched token, if matched.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_html_tag_processor/set_modifiable_text/#used-by)
   | Uses [4 functions](https://developer.wordpress.org/reference/classes/wp_html_tag_processor/set_modifiable_text/#uses)
   | Source: [wp-includes/html-api/class-wp-html-tag-processor.php:3785](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/html-api/class-wp-html-tag-processor.php#L3785-L3930)
 * method[WP_HTML_Tag_Processor::change_parsing_namespace()](https://developer.wordpress.org/reference/classes/wp_html_tag_processor/change_parsing_namespace/)
 * Switches parsing mode into a new namespace, such as when encountering an SVG 
   tag and entering foreign content.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_html_tag_processor/change_parsing_namespace/#used-by)
   | Uses [0 functions](https://developer.wordpress.org/reference/classes/wp_html_tag_processor/change_parsing_namespace/#uses)
   | Source: [wp-includes/html-api/class-wp-html-tag-processor.php:858](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/html-api/class-wp-html-tag-processor.php#L858-L865)
 * hook[wp_before_include_template](https://developer.wordpress.org/reference/hooks/wp_before_include_template/)
 * Fires immediately before including the template.
 * Used by [0 functions](https://developer.wordpress.org/reference/hooks/wp_before_include_template/#used-by)
   | Uses [0 functions](https://developer.wordpress.org/reference/hooks/wp_before_include_template/#uses)
   | Source: [wp-includes/template-loader.php:130](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/template-loader.php#L130-L130)
 * method[WP_REST_Abilities_V1_Categories_Controller::register_routes()](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_categories_controller/register_routes/)
 * Registers the routes for ability categories.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_categories_controller/register_routes/#used-by)
   | Uses [3 functions](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_categories_controller/register_routes/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-categories-controller.php:44](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-categories-controller.php#L44-L78)
 * method[WP_REST_Abilities_V1_Categories_Controller::get_items()](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_categories_controller/get_items/)
 * Retrieves all ability categories.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_categories_controller/get_items/#used-by)
   | Uses [6 functions](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_categories_controller/get_items/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-categories-controller.php:88](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-categories-controller.php#L88-L134)
 * method[WP_REST_Abilities_V1_Categories_Controller::get_item()](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_categories_controller/get_item/)
 * Retrieves a specific ability category.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_categories_controller/get_item/#used-by)
   | Uses [5 functions](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_categories_controller/get_item/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-categories-controller.php:144](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-categories-controller.php#L144-L156)
 * method[WP_REST_Abilities_V1_Categories_Controller::get_items_permissions_check()](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_categories_controller/get_items_permissions_check/)
 * Checks if a given request has access to read ability categories.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_categories_controller/get_items_permissions_check/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_categories_controller/get_items_permissions_check/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-categories-controller.php:166](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-categories-controller.php#L166-L168)
 * method[WP_REST_Abilities_V1_Categories_Controller::get_item_permissions_check()](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_categories_controller/get_item_permissions_check/)
 * Checks if a given request has access to read an ability category.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_categories_controller/get_item_permissions_check/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_categories_controller/get_item_permissions_check/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-categories-controller.php:178](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-categories-controller.php#L178-L180)
 * method[WP_REST_Abilities_V1_Categories_Controller::prepare_item_for_response()](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_categories_controller/prepare_item_for_response/)
 * Prepares an ability category for response.
 * Used by [2 functions](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_categories_controller/prepare_item_for_response/#used-by)
   | Uses [3 functions](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_categories_controller/prepare_item_for_response/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-categories-controller.php:191](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-categories-controller.php#L191-L223)
 * method[WP_REST_Abilities_V1_Categories_Controller::get_item_schema()](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_categories_controller/get_item_schema/)
 * Retrieves the ability category’s schema, conforming to JSON Schema.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_categories_controller/get_item_schema/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_categories_controller/get_item_schema/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-categories-controller.php:232](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-categories-controller.php#L232-L266)
 * method[WP_REST_Abilities_V1_Categories_Controller::get_collection_params()](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_categories_controller/get_collection_params/)
 * Retrieves the query params for collections.
 * Used by [1 function](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_categories_controller/get_collection_params/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_categories_controller/get_collection_params/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-categories-controller.php:275](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-categories-controller.php#L275-L292)
 * class[WP_REST_Abilities_V1_Categories_Controller](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_categories_controller/)
 * Core controller used to access ability categories via the REST API.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_categories_controller/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_categories_controller/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-categories-controller.php:19](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-categories-controller.php#L19-L293)
 * method[WP_REST_Abilities_V1_Run_Controller::get_run_args()](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_run_controller/get_run_args/)
 * Retrieves the arguments for ability execution endpoint.
 * Used by [1 function](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_run_controller/get_run_args/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_run_controller/get_run_args/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-run-controller.php:212](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-run-controller.php#L212-L220)
 * method[WP_REST_Abilities_V1_Run_Controller::get_run_schema()](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_run_controller/get_run_schema/)
 * Retrieves the schema for ability execution endpoint.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_run_controller/get_run_schema/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_run_controller/get_run_schema/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-run-controller.php:229](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-run-controller.php#L229-L243)
 * class[WP_REST_Abilities_V1_Run_Controller](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_run_controller/)
 * Core controller used to execute abilities via the REST API.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_run_controller/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_run_controller/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-run-controller.php:19](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-run-controller.php#L19-L244)
 * method[WP_REST_Abilities_V1_Run_Controller::register_routes()](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_run_controller/register_routes/)
 * Registers the routes for ability execution.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_run_controller/register_routes/#used-by)
   | Uses [3 functions](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_run_controller/register_routes/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-run-controller.php:44](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-run-controller.php#L44-L72)
 * method[WP_REST_Abilities_V1_Run_Controller::execute_ability()](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_run_controller/execute_ability/)
 * Executes an ability.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_run_controller/execute_ability/#used-by)
   | Uses [6 functions](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_run_controller/execute_ability/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-run-controller.php:82](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-run-controller.php#L82-L99)
 * method[WP_REST_Abilities_V1_Run_Controller::validate_request_method()](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_run_controller/validate_request_method/)
 * Validates if the HTTP method matches the expected method for the ability based
   on its annotations.
 * Used by [1 function](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_run_controller/validate_request_method/#used-by)
   | Uses [2 functions](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_run_controller/validate_request_method/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-run-controller.php:110](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-run-controller.php#L110-L133)
 * method[WP_REST_Abilities_V1_Run_Controller::check_ability_permissions()](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_run_controller/check_ability_permissions/)
 * Checks if a given request has permission to execute a specific ability.
 * Used by [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_run_controller/check_ability_permissions/#used-by)
   | Uses [7 functions](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_run_controller/check_ability_permissions/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-run-controller.php:143](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-run-controller.php#L143-L183)
 * method[WP_REST_Abilities_V1_Run_Controller::get_input_from_request()](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_run_controller/get_input_from_request/)
 * Extracts input parameters from the request.
 * Used by [2 functions](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_run_controller/get_input_from_request/#used-by)
   | Uses [0 functions](https://developer.wordpress.org/reference/classes/wp_rest_abilities_v1_run_controller/get_input_from_request/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-run-controller.php:193](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-abilities-v1-run-controller.php#L193-L203)
 * method[WP_REST_Comments_Controller::check_post_type_supports_notes()](https://developer.wordpress.org/reference/classes/wp_rest_comments_controller/check_post_type_supports_notes/)
 * Check if post type supports notes.
 * Used by [2 functions](https://developer.wordpress.org/reference/classes/wp_rest_comments_controller/check_post_type_supports_notes/#used-by)
   | Uses [1 function](https://developer.wordpress.org/reference/classes/wp_rest_comments_controller/check_post_type_supports_notes/#uses)
   | Source: [wp-includes/rest-api/endpoints/class-wp-rest-comments-controller.php:2050](https://github.com/WordPress/wordpress-develop/blob/7.0/src/wp-includes/rest-api/endpoints/class-wp-rest-comments-controller.php#L2050-L2064)

 [Previous Page](https://developer.wordpress.org/reference/package/wordpress/page/10/?output_format=md)

[1](https://developer.wordpress.org/reference/package/wordpress/?output_format=md)…
[9](https://developer.wordpress.org/reference/package/wordpress/page/9/?output_format=md)
[10](https://developer.wordpress.org/reference/package/wordpress/page/10/?output_format=md)
11 [12](https://developer.wordpress.org/reference/package/wordpress/page/12/?output_format=md)
[13](https://developer.wordpress.org/reference/package/wordpress/page/13/?output_format=md)…
[49](https://developer.wordpress.org/reference/package/wordpress/page/49/?output_format=md)

 [Next Page](https://developer.wordpress.org/reference/package/wordpress/page/12/?output_format=md)